Subject: git gui blame utf-8 bugs

From: Finn Arne Gangstad <[email-masked]>
Date: Wed, 12 Dec 2007 10:17:44 +0100

git gui has some utf-8 bugs:

If you do git gui blame <file>, and the file contains utf-8 text,
the lines are not parsed as utf-8, but seemingly as iso-8859-1 instead.

Also, the hovering comment is INITIALLY shown garbled (both Author and
commit message), but if you click on a line, so that the commit
message is shown in the bottom window, the hovering message is
magically corrected to utf-8.

The text in the lower window (showing specific commits) seems to
always be handled correctly.

To reproduce: Set your author name to include some utf-8 tokens, add a
line with some utf-8 tokens to a file, commit it with a commit message
including some utf-8 tokens, and do git gui blame on the file. The
line will be garbled in the top window, and the hovering message will
be garbled until you click on the line.

Verified with git-gui.git master

- Finn Arne